## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

# prevent library files from being installed
%global cargo_install_lib 0

Name:           bpftop
Version:        0.5.1
Release:        %autorelease
Summary:        Dynamic real-time view of running eBPF programs

SourceLicense:  Apache-2.0
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause
# BSD-3-Clause
# LGPL-2.1-only OR BSD-2-Clause
# MIT
# MIT OR Apache-2.0
# MIT OR Zlib OR Apache-2.0
# Zlib
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND MIT AND Zlib AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (LGPL-2.1-only OR BSD-2-Clause) AND (MIT OR Zlib OR Apache-2.0)
# LICENSE.dependencies contains a full license breakdown

URL:            https://github.com/Netflix/%{name}
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# Manually created patch for downstream crate metadata changes
# * Allow procfs 0.17; see upstream commit
#   285b29d0f791a48faaf190df9622ae098ce04fbf, released in 0.5.2
# * Allow circular-buffer 1.0.0: https://github.com/Netflix/bpftop/pull/115
Patch:          bpftop-fix-metadata.diff

ExcludeArch: %{ix86}

BuildRequires:  cargo-rpm-macros >= 26

%global _description %{expand:
%{summary}.}

%description %{_description}

%prep
%autosetup -n bpftop-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/bpftop

%changelog
## START: Generated by rpmautospec
* Mon Jan 27 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.1-8
- Allow circular-buffer 1.0.0

* Mon Jan 27 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.1-7
- Improve the source URL

* Mon Jan 27 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.1-6
- Re-generate the spec file with rust2rpm 27

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Dec 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.1-4
- Update License with current %%cargo_license_summary

* Thu Dec 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.1-3
- Allow procfs 0.17

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jul 13 2024 Jose Fernandez <me@jrfernandez.com> - 0.5.1-1
- Initial import (fedora#2281565).
## END: Generated by rpmautospec
